Subject: Re: Job | Tech Support Remote Screening
From: MUTHYALA NAVEEN <[email-masked]>
To: [email-masked]
Date: Sat, 23 Jan 2021 21:45:11 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

7701 Applicants

View All

MUTHYALA NAVEEN
Hi, I am Naveen presently I am working with Megha engineering and infrastructure limited as an admin & HR Executive. Previously worked with Acme Cleantech Solutions Pvt ltd as Accounts and admin officer. I have Good knowledge in administration,HR and accounts as well.

Shortlist

Reject

Current Designation Administration Executive
Current Company Megha Engineering and Infrastructure
Notice Period 15 Days or less
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
5 Yrs 6 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Anywhere in South India, Anywhere in North India
Education
B.Sc
Kakatiya University
Key Skills
Office Administration, Housekeeping, Site Administration, Invoice Processing, Travel Arrangements, Ticket Booking, Staff Welfare, Facility Management, Canteen, Security, Stationary, Vendor Management, Travel Management, Joining Formalities, Handling Petty Cash

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem